Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.report.xls
Class Line_LineInfo

    java.lang.Object
      jet.report.xls.ChartTypeInfo
          jet.report.xls.LineInfo
              jet.report.xls.Line_LineInfo

    public class Line_LineInfo

extends LineInfo

contains the information of line_line chart type in the file. The class extends ColumnInfo

Field Summary

Fields inherited from class jet.report.xls.LineInfo
`CIRCLE, DEVIATION, DIAMOND, DOWJONES, F100STACKED, NONE, NORMAL, PLUSSIGN, SQUARE, STACKED, STAR, TRIANGLE, X`

Fields inherited from class jet.report.xls.ChartTypeInfo
`AREA, BAR, BAR_AREA, BAR_LINE, BOPPOP, COLUMN, CONE, CYLINDER, DROPBAR, LINE, LINE_LINE, PIE, PYRAMID, RADAR, SCATTER, SHOWBUBBLESIZE, SHOWLABEL, SHOWLABPER, SHOWNONE, SHOWPERCENT, SHOWVALUE, STOCK, SURFACE`

Constructor Summary
`Line_LineInfo(short dataLabel, short style)` Constructs class BarInfo and sets its fields appropriately.

Method Summary
`int` | `getChartType()` Get the type of the chart
`short` | `getLineStyle()` Get the style of the line
`short` | `getMarkStyle2()` Get the style of line2 marks
`ChartLabelInfo` | `getX1AxisName()` Get the minor x axis name of line_line chart
`ChartLabelInfo` | `getY1AxisName()` Get the minor y axis name of line_line chart
`void` | `setLineStyle(short lineStyle)` Set the style of the line
`void` | `setMarkStyle2(short markStyle)` Set the style of line2 marks
`void` | `setX1AxisName(ChartLabelInfo x1AxisName)` Set the minor x axis name of line_line chart
`void` | `setY1AxisName(ChartLabelInfo y1AxisName)` Set the minor y axis name of line_line chart

Methods inherited from class jet.report.xls.LineInfo
`getMarkStyle, getStyle, hasShadow, setMarkStyle, setStyle`

Methods inherited from class jet.report.xls.ChartTypeInfo
`addSeries, getCatName, getCatNameRef, getDataLabel, getInfo3D, getIs3D, getSeries, getSeriesSize, insertSeries, removeSeries, replace, setCatName, setCatNameRef, setDataLabel, setInfo3D, setIs3D`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Line_LineInfo

    public Line_LineInfo(short dataLabel,
                         short style)

  Constructs class BarInfo and sets its fields appropriately.

  Parameters:
    `dataLabel` - type of the data label, 0 for none, 1 for show value, 16 for show label
    `is3D` - Is 3D chart or not
    `style` - Style of bar

Method Detail

### getChartType

    public int getChartType()

  Get the type of the chart

  Overrides:
    `getChartType` in class `LineInfo`
  Returns:
    type of the chart

### getX1AxisName

    public ChartLabelInfo getX1AxisName()

  Get the minor x axis name of line_line chart

  Returns:
    the minor x axis name of line_line chart

### setX1AxisName

    public void setX1AxisName(ChartLabelInfo x1AxisName)

  Set the minor x axis name of line_line chart

  Parameters:
    `x1AxisName` - the minor x axis name of line_line chart

### getY1AxisName

    public ChartLabelInfo getY1AxisName()

  Get the minor y axis name of line_line chart

  Returns:
    the minor y axis name of line_line chart

### setY1AxisName

    public void setY1AxisName(ChartLabelInfo y1AxisName)

  Set the minor y axis name of line_line chart

  Parameters:
    `y1AxisName` - the minor y axis name of line_line chart

### getLineStyle

    public short getLineStyle()

  Get the style of the line

  Returns:
    style of the line
  See Also:
    `NORMAL`, `STACKED`, `F100STACKED`

### setLineStyle

    public void setLineStyle(short lineStyle)

  Set the style of the line

  Parameters:
    `lineStyle` - Style of the line
  See Also:
    `NORMAL`, `STACKED`, `F100STACKED`

### getMarkStyle2

    public short getMarkStyle2()

  Get the style of line2 marks

  Returns:
    style of line marks
  See Also:
    `NONE`, `SQUARE`, `DIAMOND`, `TRIANGLE`, `X`, `STAR`, `DOWJONES`, `DEVIATION`, `CIRCLE`, `PLUSSIGN`

### setMarkStyle2

    public void setMarkStyle2(short markStyle)

  Set the style of line2 marks

  Parameters:
    `markStyle` - style of line marks
  See Also:
    `NONE`, `SQUARE`, `DIAMOND`, `TRIANGLE`, `X`, `STAR`, `DOWJONES`, `DEVIATION`, `CIRCLE`, `PLUSSIGN`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD